Bug 57977 - /dev/nsst* devices are missing.
/dev/nsst* devices are missing.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 22:19 EST by Ian Mortimer
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 19:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Script to create Onstream device nodes (1.05 KB, patch)
2002-01-03 22:21 EST, Ian Mortimer
no flags Details | Diff

  None (edit)
Description Ian Mortimer 2002-01-03 22:19:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
dev-3.2-5 includes the onstream tape devices /dev/osst[0-3][alm] but not
the norewind devices /dev/nosst[0-3][alm]

Version-Release number of selected component (if applicable): 3.2-5


How reproducible:
Always

Steps to Reproduce:
1.cd /dev
2.ls -l osst*
3.ls -l nosst*
	

Actual Results:  The osst* device files exist but not the nosst* device
files.

Expected Results:  The nosst* device files should exist.

Additional info:
Comment 1 Ian Mortimer 2002-01-03 22:21:39 EST
Created attachment 41731 [details]
Script to create Onstream device nodes
Comment 2 Ian Mortimer 2002-01-03 22:29:16 EST
I attached a script from the osst development team that creates all the device
nodes but I'm not sure if it got delivered or not so here it is again:

#!/bin/sh
# Script to create OnStream SC-x0 device nodes (major 206)
# Usage: Makedevs.sh [nos [path to dev]]
major=206
nrs=4
dir=/dev
test -z "$1" || nrs=$1
test -z "$2" || dir=$2
declare -i nr
nr=0
test -d $dir || mkdir -p $dir
while test $nr -lt $nrs; do
  mknod $dir/osst$nr c $major $nr
  chown 0.disk $dir/osst$nr; chmod 660 $dir/osst$nr;
  mknod $dir/nosst$nr c $major $[nr+128]
  chown 0.disk $dir/nosst$nr; chmod 660 $dir/nosst$nr;
  mknod $dir/osst${nr}l c $major $[nr+32]
  chown 0.disk $dir/osst${nr}l; chmod 660 $dir/osst${nr}l;
  mknod $dir/nosst${nr}l c $major $[nr+160]
  chown 0.disk $dir/nosst${nr}l; chmod 660 $dir/nosst${nr}l;
  mknod $dir/osst${nr}m c $major $[nr+64]
  chown 0.disk $dir/osst${nr}m; chmod 660 $dir/osst${nr}m;
  mknod $dir/nosst${nr}m c $major $[nr+192]
  chown 0.disk $dir/nosst${nr}m; chmod 660 $dir/nosst${nr}m;
  mknod $dir/osst${nr}a c $major $[nr+96]
  chown 0.disk $dir/osst${nr}a; chmod 660 $dir/osst${nr}a;
  mknod $dir/nosst${nr}a c $major $[nr+224]
  chown 0.disk $dir/nosst${nr}a; chmod 660 $dir/nosst${nr}a;
  let nr+=1
done

Note You need to log in before you can comment on or make changes to this bug.